use anyhow::Result;
use std::{str, time::Duration};

pub fn parse_duration(timeout: &str) -> Result<Duration> {
    if timeout.ends_with("ms") {
        Ok(Duration::from_millis(
            timeout[0..timeout.len() - 2].parse::<u64>()?,
        ))
    } else if timeout.ends_with("s") {
        Ok(Duration::from_secs(
            timeout[0..timeout.len() - 1].parse::<u64>()?,
        ))
    } else {
        Ok(Duration::from_secs(timeout.parse::<u64>()?))
    }
}
